// Code generated by protoc-gen-go. DO NOT EDIT.
// source: smith_command.proto

package pb

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type SmithRequest struct {
	ChainID               string   `protobuf:"bytes,1,opt,name=ChainID,proto3" json:"ChainID,omitempty"`
	HashBlockchain        string   `protobuf:"bytes,2,opt,name=HashBlockchain,proto3" json:"HashBlockchain,omitempty"`
	PublicSignatureBase64 string   `protobuf:"bytes,3,opt,name=PublicSignatureBase64,proto3" json:"PublicSignatureBase64,omitempty"`
	MyAddress             string   `protobuf:"bytes,4,opt,name=MyAddress,proto3" json:"MyAddress,omitempty"`
	XXX_NoUnkeyedLiteral  struct{} `json:"-"`
	XXX_unrecognized      []byte   `json:"-"`
	XXX_sizecache         int32    `json:"-"`
}

func (m *SmithRequest) Reset()         { *m = SmithRequest{} }
func (m *SmithRequest) String() string { return proto.CompactTextString(m) }
func (*SmithRequest) ProtoMessage()    {}
func (*SmithRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_47fdbbbe9bf510d3, []int{0}
}

func (m *SmithRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SmithRequest.Unmarshal(m, b)
}
func (m *SmithRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SmithRequest.Marshal(b, m, deterministic)
}
func (m *SmithRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SmithRequest.Merge(m, src)
}
func (m *SmithRequest) XXX_Size() int {
	return xxx_messageInfo_SmithRequest.Size(m)
}
func (m *SmithRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_SmithRequest.DiscardUnknown(m)
}

var xxx_messageInfo_SmithRequest proto.InternalMessageInfo

func (m *SmithRequest) GetChainID() string {
	if m != nil {
		return m.ChainID
	}
	return ""
}

func (m *SmithRequest) GetHashBlockchain() string {
	if m != nil {
		return m.HashBlockchain
	}
	return ""
}

func (m *SmithRequest) GetPublicSignatureBase64() string {
	if m != nil {
		return m.PublicSignatureBase64
	}
	return ""
}

func (m *SmithRequest) GetMyAddress() string {
	if m != nil {
		return m.MyAddress
	}
	return ""
}

type SmithResponseCommand struct {
	Status               string   `protobuf:"bytes,1,opt,name=Status,proto3" json:"Status,omitempty"`
	Message              string   `protobuf:"bytes,2,opt,name=Message,proto3" json:"Message,omitempty"`
	BettingAddress       string   `protobuf:"bytes,3,opt,name=BettingAddress,proto3" json:"BettingAddress,omitempty"`
	Hash                 string   `protobuf:"bytes,4,opt,name=Hash,proto3" json:"Hash,omitempty"`
	MyAddress            string   `protobuf:"bytes,5,opt,name=MyAddress,proto3" json:"MyAddress,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SmithResponseCommand) Reset()         { *m = SmithResponseCommand{} }
func (m *SmithResponseCommand) String() string { return proto.CompactTextString(m) }
func (*SmithResponseCommand) ProtoMessage()    {}
func (*SmithResponseCommand) Descriptor() ([]byte, []int) {
	return fileDescriptor_47fdbbbe9bf510d3, []int{1}
}

func (m *SmithResponseCommand) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SmithResponseCommand.Unmarshal(m, b)
}
func (m *SmithResponseCommand) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SmithResponseCommand.Marshal(b, m, deterministic)
}
func (m *SmithResponseCommand) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SmithResponseCommand.Merge(m, src)
}
func (m *SmithResponseCommand) XXX_Size() int {
	return xxx_messageInfo_SmithResponseCommand.Size(m)
}
func (m *SmithResponseCommand) XXX_DiscardUnknown() {
	xxx_messageInfo_SmithResponseCommand.DiscardUnknown(m)
}

var xxx_messageInfo_SmithResponseCommand proto.InternalMessageInfo

func (m *SmithResponseCommand) GetStatus() string {
	if m != nil {
		return m.Status
	}
	return ""
}

func (m *SmithResponseCommand) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

func (m *SmithResponseCommand) GetBettingAddress() string {
	if m != nil {
		return m.BettingAddress
	}
	return ""
}

func (m *SmithResponseCommand) GetHash() string {
	if m != nil {
		return m.Hash
	}
	return ""
}

func (m *SmithResponseCommand) GetMyAddress() string {
	if m != nil {
		return m.MyAddress
	}
	return ""
}

type SmithRemoveRequest struct {
	Hash                 string   `protobuf:"bytes,1,opt,name=Hash,proto3" json:"Hash,omitempty"`
	MyAddress            string   `protobuf:"bytes,2,opt,name=MyAddress,proto3" json:"MyAddress,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SmithRemoveRequest) Reset()         { *m = SmithRemoveRequest{} }
func (m *SmithRemoveRequest) String() string { return proto.CompactTextString(m) }
func (*SmithRemoveRequest) ProtoMessage()    {}
func (*SmithRemoveRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_47fdbbbe9bf510d3, []int{2}
}

func (m *SmithRemoveRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SmithRemoveRequest.Unmarshal(m, b)
}
func (m *SmithRemoveRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SmithRemoveRequest.Marshal(b, m, deterministic)
}
func (m *SmithRemoveRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SmithRemoveRequest.Merge(m, src)
}
func (m *SmithRemoveRequest) XXX_Size() int {
	return xxx_messageInfo_SmithRemoveRequest.Size(m)
}
func (m *SmithRemoveRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_SmithRemoveRequest.DiscardUnknown(m)
}

var xxx_messageInfo_SmithRemoveRequest proto.InternalMessageInfo

func (m *SmithRemoveRequest) GetHash() string {
	if m != nil {
		return m.Hash
	}
	return ""
}

func (m *SmithRemoveRequest) GetMyAddress() string {
	if m != nil {
		return m.MyAddress
	}
	return ""
}

type SmithFineRequest struct {
	Hash                 string   `protobuf:"bytes,1,opt,name=Hash,proto3" json:"Hash,omitempty"`
	MyAddress            string   `protobuf:"bytes,2,opt,name=MyAddress,proto3" json:"MyAddress,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SmithFineRequest) Reset()         { *m = SmithFineRequest{} }
func (m *SmithFineRequest) String() string { return proto.CompactTextString(m) }
func (*SmithFineRequest) ProtoMessage()    {}
func (*SmithFineRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_47fdbbbe9bf510d3, []int{3}
}

func (m *SmithFineRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SmithFineRequest.Unmarshal(m, b)
}
func (m *SmithFineRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SmithFineRequest.Marshal(b, m, deterministic)
}
func (m *SmithFineRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SmithFineRequest.Merge(m, src)
}
func (m *SmithFineRequest) XXX_Size() int {
	return xxx_messageInfo_SmithFineRequest.Size(m)
}
func (m *SmithFineRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_SmithFineRequest.DiscardUnknown(m)
}

var xxx_messageInfo_SmithFineRequest proto.InternalMessageInfo

func (m *SmithFineRequest) GetHash() string {
	if m != nil {
		return m.Hash
	}
	return ""
}

func (m *SmithFineRequest) GetMyAddress() string {
	if m != nil {
		return m.MyAddress
	}
	return ""
}

type AddressRequestEmpty struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *AddressRequestEmpty) Reset()         { *m = AddressRequestEmpty{} }
func (m *AddressRequestEmpty) String() string { return proto.CompactTextString(m) }
func (*AddressRequestEmpty) ProtoMessage()    {}
func (*AddressRequestEmpty) Descriptor() ([]byte, []int) {
	return fileDescriptor_47fdbbbe9bf510d3, []int{4}
}

func (m *AddressRequestEmpty) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_AddressRequestEmpty.Unmarshal(m, b)
}
func (m *AddressRequestEmpty) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_AddressRequestEmpty.Marshal(b, m, deterministic)
}
func (m *AddressRequestEmpty) XXX_Merge(src proto.Message) {
	xxx_messageInfo_AddressRequestEmpty.Merge(m, src)
}
func (m *AddressRequestEmpty) XXX_Size() int {
	return xxx_messageInfo_AddressRequestEmpty.Size(m)
}
func (m *AddressRequestEmpty) XXX_DiscardUnknown() {
	xxx_messageInfo_AddressRequestEmpty.DiscardUnknown(m)
}

var xxx_messageInfo_AddressRequestEmpty proto.InternalMessageInfo

type AddressResponse struct {
	Address              string   `protobuf:"bytes,1,opt,name=Address,proto3" json:"Address,omitempty"`
	Message              string   `protobuf:"bytes,2,opt,name=Message,proto3" json:"Message,omitempty"`
	Status               string   `protobuf:"bytes,3,opt,name=Status,proto3" json:"Status,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *AddressResponse) Reset()         { *m = AddressResponse{} }
func (m *AddressResponse) String() string { return proto.CompactTextString(m) }
func (*AddressResponse) ProtoMessage()    {}
func (*AddressResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_47fdbbbe9bf510d3, []int{5}
}

func (m *AddressResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_AddressResponse.Unmarshal(m, b)
}
func (m *AddressResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_AddressResponse.Marshal(b, m, deterministic)
}
func (m *AddressResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_AddressResponse.Merge(m, src)
}
func (m *AddressResponse) XXX_Size() int {
	return xxx_messageInfo_AddressResponse.Size(m)
}
func (m *AddressResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_AddressResponse.DiscardUnknown(m)
}

var xxx_messageInfo_AddressResponse proto.InternalMessageInfo

func (m *AddressResponse) GetAddress() string {
	if m != nil {
		return m.Address
	}
	return ""
}

func (m *AddressResponse) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

func (m *AddressResponse) GetStatus() string {
	if m != nil {
		return m.Status
	}
	return ""
}

func init() {
	proto.RegisterType((*SmithRequest)(nil), "SmithRequest")
	proto.RegisterType((*SmithResponseCommand)(nil), "SmithResponseCommand")
	proto.RegisterType((*SmithRemoveRequest)(nil), "SmithRemoveRequest")
	proto.RegisterType((*SmithFineRequest)(nil), "SmithFineRequest")
	proto.RegisterType((*AddressRequestEmpty)(nil), "AddressRequestEmpty")
	proto.RegisterType((*AddressResponse)(nil), "AddressResponse")
}

func init() {
	proto.RegisterFile("smith_command.proto", fileDescriptor_47fdbbbe9bf510d3)
}

var fileDescriptor_47fdbbbe9bf510d3 = []byte{
	// 393 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xa4, 0x93, 0xc1, 0xaf, 0xd2, 0x40,
	0x10, 0xc6, 0x29, 0x20, 0xca, 0xc4, 0x2a, 0x2c, 0x60, 0x1a, 0xe2, 0xc1, 0xf4, 0x60, 0x3c, 0xf5,
	0xa0, 0x04, 0xe3, 0x91, 0x82, 0x44, 0x0e, 0x24, 0x86, 0x7a, 0x32, 0x31, 0x66, 0x69, 0x27, 0x65,
	0x23, 0xdd, 0xad, 0xdd, 0xad, 0x09, 0xff, 0x8e, 0xf1, 0xef, 0x34, 0xa6, 0xcb, 0xae, 0xf0, 0xfa,
	0xe8, 0xe9, 0xdd, 0x76, 0xbe, 0x4e, 0xbf, 0x7e, 0xf3, 0x9b, 0x2e, 0x8c, 0x64, 0xc6, 0xd4, 0xe1,
	0x7b, 0x2c, 0xb2, 0x8c, 0xf2, 0x24, 0xc8, 0x0b, 0xa1, 0x84, 0xff, 0xc7, 0x81, 0xa7, 0x51, 0xa5,
	0xef, 0xf0, 0x67, 0x89, 0x52, 0x11, 0x0f, 0x1e, 0x2f, 0x0f, 0x94, 0xf1, 0xcd, 0xca, 0x73, 0x5e,
	0x39, 0x6f, 0xfa, 0x3b, 0x5b, 0x92, 0xd7, 0xf0, 0xec, 0x13, 0x95, 0x87, 0xf0, 0x28, 0xe2, 0x1f,
	0x71, 0xa5, 0x79, 0x6d, 0xdd, 0x50, 0x53, 0xc9, 0x0c, 0x26, 0x9f, 0xcb, 0xfd, 0x91, 0xc5, 0x11,
	0x4b, 0x39, 0x55, 0x65, 0x81, 0x21, 0x95, 0x38, 0x9f, 0x79, 0x1d, 0xdd, 0x7e, 0xfb, 0x21, 0x79,
	0x09, 0xfd, 0xed, 0x69, 0x91, 0x24, 0x05, 0x4a, 0xe9, 0x75, 0x75, 0xe7, 0x45, 0xf0, 0x7f, 0x3b,
	0x30, 0x36, 0x31, 0x65, 0x2e, 0xb8, 0xc4, 0xe5, 0x79, 0x0a, 0xf2, 0x02, 0x7a, 0x91, 0xa2, 0xaa,
	0x94, 0x26, 0xad, 0xa9, 0xaa, 0x31, 0xb6, 0x28, 0x25, 0x4d, 0xd1, 0xa4, 0xb4, 0x65, 0x35, 0x46,
	0x88, 0x4a, 0x31, 0x9e, 0xda, 0xaf, 0x9d, 0x73, 0xd5, 0x54, 0x42, 0xa0, 0x5b, 0x0d, 0x66, 0xb2,
	0xe8, 0xf3, 0xdd, 0x90, 0x8f, 0xea, 0x21, 0xd7, 0x40, 0x4c, 0xc6, 0x4c, 0xfc, 0x42, 0x0b, 0xd4,
	0xfa, 0x38, 0x4d, 0x3e, 0xed, 0xba, 0xcf, 0x0a, 0x06, 0xda, 0x67, 0xcd, 0xf8, 0x03, 0x5c, 0x26,
	0x30, 0x32, 0x47, 0xe3, 0xf1, 0x31, 0xcb, 0xd5, 0xc9, 0xff, 0x06, 0xcf, 0xff, 0xcb, 0x67, 0x94,
	0x15, 0x2b, 0xeb, 0x62, 0x56, 0x6e, 0x19, 0x34, 0x53, 0xbc, 0x70, 0xef, 0x5c, 0x73, 0x7f, 0xfb,
	0xd7, 0x01, 0x77, 0xa3, 0xd3, 0xdb, 0x0d, 0xbd, 0x07, 0x77, 0x87, 0x29, 0x93, 0x0a, 0x0b, 0xad,
	0x13, 0x37, 0xb8, 0xfe, 0xe1, 0xa6, 0x93, 0xe0, 0xd6, 0x62, 0xfd, 0x16, 0x59, 0xc0, 0xf0, 0x8b,
	0x88, 0x94, 0xc8, 0x43, 0x64, 0x3c, 0x5d, 0x8b, 0x22, 0xc5, 0x82, 0x8c, 0x82, 0xfb, 0x88, 0x9b,
	0x2d, 0xe6, 0xf0, 0x24, 0x42, 0x9e, 0x54, 0x20, 0xc9, 0x30, 0xa8, 0x43, 0x6d, 0x7e, 0xef, 0x03,
	0xb8, 0xcb, 0x02, 0xa9, 0x42, 0x0b, 0x62, 0x1c, 0xdc, 0x60, 0x39, 0x1d, 0x04, 0x35, 0x94, 0x7e,
	0x2b, 0xec, 0x7e, 0x6d, 0xe7, 0xfb, 0x7d, 0x4f, 0xdf, 0xae, 0x77, 0xff, 0x02, 0x00, 0x00, 0xff,
	0xff, 0xd9, 0xcd, 0xb1, 0xdc, 0x74, 0x03, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// ISmithCommandClient is the client API for ISmithCommand service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type ISmithCommandClient interface {
	RegisterSmith(ctx context.Context, in *SmithRequest, opts ...grpc.CallOption) (*SmithResponseCommand, error)
	ToStopBeingForger(ctx context.Context, in *SmithRemoveRequest, opts ...grpc.CallOption) (*SmithResponseCommand, error)
	SendFine(ctx context.Context, in *SmithFineRequest, opts ...grpc.CallOption) (*SmithResponseCommand, error)
	CreateAddress(ctx context.Context, in *AddressRequestEmpty, opts ...grpc.CallOption) (*AddressResponse, error)
}

type iSmithCommandClient struct {
	cc grpc.ClientConnInterface
}

func NewISmithCommandClient(cc grpc.ClientConnInterface) ISmithCommandClient {
	return &iSmithCommandClient{cc}
}

func (c *iSmithCommandClient) RegisterSmith(ctx context.Context, in *SmithRequest, opts ...grpc.CallOption) (*SmithResponseCommand, error) {
	out := new(SmithResponseCommand)
	err := c.cc.Invoke(ctx, "/ISmithCommand/RegisterSmith", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iSmithCommandClient) ToStopBeingForger(ctx context.Context, in *SmithRemoveRequest, opts ...grpc.CallOption) (*SmithResponseCommand, error) {
	out := new(SmithResponseCommand)
	err := c.cc.Invoke(ctx, "/ISmithCommand/ToStopBeingForger", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iSmithCommandClient) SendFine(ctx context.Context, in *SmithFineRequest, opts ...grpc.CallOption) (*SmithResponseCommand, error) {
	out := new(SmithResponseCommand)
	err := c.cc.Invoke(ctx, "/ISmithCommand/SendFine", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iSmithCommandClient) CreateAddress(ctx context.Context, in *AddressRequestEmpty, opts ...grpc.CallOption) (*AddressResponse, error) {
	out := new(AddressResponse)
	err := c.cc.Invoke(ctx, "/ISmithCommand/CreateAddress", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// ISmithCommandServer is the server API for ISmithCommand service.
type ISmithCommandServer interface {
	RegisterSmith(context.Context, *SmithRequest) (*SmithResponseCommand, error)
	ToStopBeingForger(context.Context, *SmithRemoveRequest) (*SmithResponseCommand, error)
	SendFine(context.Context, *SmithFineRequest) (*SmithResponseCommand, error)
	CreateAddress(context.Context, *AddressRequestEmpty) (*AddressResponse, error)
}

// UnimplementedISmithCommandServer can be embedded to have forward compatible implementations.
type UnimplementedISmithCommandServer struct {
}

func (*UnimplementedISmithCommandServer) RegisterSmith(ctx context.Context, req *SmithRequest) (*SmithResponseCommand, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RegisterSmith not implemented")
}
func (*UnimplementedISmithCommandServer) ToStopBeingForger(ctx context.Context, req *SmithRemoveRequest) (*SmithResponseCommand, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ToStopBeingForger not implemented")
}
func (*UnimplementedISmithCommandServer) SendFine(ctx context.Context, req *SmithFineRequest) (*SmithResponseCommand, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SendFine not implemented")
}
func (*UnimplementedISmithCommandServer) CreateAddress(ctx context.Context, req *AddressRequestEmpty) (*AddressResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateAddress not implemented")
}

func RegisterISmithCommandServer(s *grpc.Server, srv ISmithCommandServer) {
	s.RegisterService(&_ISmithCommand_serviceDesc, srv)
}

func _ISmithCommand_RegisterSmith_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SmithRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ISmithCommandServer).RegisterSmith(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/ISmithCommand/RegisterSmith",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ISmithCommandServer).RegisterSmith(ctx, req.(*SmithRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ISmithCommand_ToStopBeingForger_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SmithRemoveRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ISmithCommandServer).ToStopBeingForger(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/ISmithCommand/ToStopBeingForger",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ISmithCommandServer).ToStopBeingForger(ctx, req.(*SmithRemoveRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ISmithCommand_SendFine_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SmithFineRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ISmithCommandServer).SendFine(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/ISmithCommand/SendFine",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ISmithCommandServer).SendFine(ctx, req.(*SmithFineRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ISmithCommand_CreateAddress_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(AddressRequestEmpty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ISmithCommandServer).CreateAddress(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/ISmithCommand/CreateAddress",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ISmithCommandServer).CreateAddress(ctx, req.(*AddressRequestEmpty))
	}
	return interceptor(ctx, in, info, handler)
}

var _ISmithCommand_serviceDesc = grpc.ServiceDesc{
	ServiceName: "ISmithCommand",
	HandlerType: (*ISmithCommandServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "RegisterSmith",
			Handler:    _ISmithCommand_RegisterSmith_Handler,
		},
		{
			MethodName: "ToStopBeingForger",
			Handler:    _ISmithCommand_ToStopBeingForger_Handler,
		},
		{
			MethodName: "SendFine",
			Handler:    _ISmithCommand_SendFine_Handler,
		},
		{
			MethodName: "CreateAddress",
			Handler:    _ISmithCommand_CreateAddress_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "smith_command.proto",
}
